|  | Home | Documentation | xenc__AgreementMethodType Struct Reference updated Wed Feb 1 2023 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
xenc__AgreementMethodType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":AgreementMethodType is a complexType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__AgreementMethodType:
[legend]

## Public Attributes
char * | KA_Nonce
| Element KA-Nonce of type xs:base64Binary. More...
ds__KeyInfoType * | OriginatorKeyInfo
ds__KeyInfoType * | RecipientKeyInfo
| Element RecipientKeyInfo of type "http://www.w3.org/2000/09/xmldsig#":KeyInfoType. More...
char * | Algorithm
| Attribute Algorithm of type xs:anyURI. More...
_XML | __mixed
| Catch mixed content in XML string. More...

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":AgreementMethodType is a complexType.

## Member Data Documentation

_XML xenc__AgreementMethodType::__mixed

Catch mixed content in XML string.

TODO: this mixed complexType is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element).

char* xenc__AgreementMethodType::Algorithm

Attribute Algorithm of type xs:anyURI.

Required attribute.

char* xenc__AgreementMethodType::KA_Nonce

Element KA-Nonce of type xs:base64Binary.

Optional element.

ds__KeyInfoType* xenc__AgreementMethodType::OriginatorKeyInfo

TODO: <any namespace="##other" minoccurs="0" maxoccurs="unbounded"> TODO: Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element). Element OriginatorKeyInfo of type "http://www.w3.org/2000/09/xmldsig#":KeyInfoType. Optional element.

ds__KeyInfoType* xenc__AgreementMethodType::RecipientKeyInfo

Element RecipientKeyInfo of type "http://www.w3.org/2000/09/xmldsig#":KeyInfoType.

Optional element.

The documentation for this struct was generated from the following file:

- xenc.h